Name:		festival-freebsoft-utils
Version:	0.10
Release:	%mkrel 4
Summary:	A collection of utilities that enhance Festival with some useful features
Group:		Sound/Utilities
License:	GPLv2+
URL:		http://devel.freebsoft.org/festival-freebsoft-utils
Source0:	http://devel.freebsoft.org/pub/projects/%{name}/%{name}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	festival-devel

Requires:	festival
Requires:	sox

%description
A collection of utilities that enhance Festival with some useful features.
They provide all that is needed for interaction with Speech Dispatcher.

Key festival-freebsoft-utils features are:
- Generalized concept of input events. festival-freebsoft-utils allows not only
  plain text synthesis, but also combining it with sounds. Additionally,
  mechanism of logical events mapped to other events is provided.
- Substitution of events for given words.
- High-level voice selection mechanism and setting of basic prosodic parameters.
- Spelling mode.
- Capital letter signalization.
- Punctuation modes, for explicit reading or not reading punctuation characters.
- Incremental synthesis of texts and events.
- Speech Dispatcher support.
- Rudimentary SSML support.
- Enhance the Festival extension language with functions commonly used in Lisp.
- Support for wrapping already defined Festival functions by your own code.
- Everything is written in the extension language, no patching of the Festival
  C++ sources is needed.

%prep
%setup -q

%build

%install
mkdir -p %{buildroot}%{_datadir}/festival/lib/
cp -pr *.scm %{buildroot}%{_datadir}/festival/lib/

%files
%doc COPYING NEWS README
%{_datadir}/festival/lib/*.scm


%changelog
* Sat Mar 19 2022 umeabot <umeabot> 0.10-4.mga9
+ Revision: 1801037
- Mageia 9 Mass Rebuild

* Tue Feb 11 2020 umeabot <umeabot> 0.10-3.mga8
+ Revision: 1490113
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 0.10-2.mga7
+ Revision: 1261563
- Mageia 7 Mass Rebuild

* Mon Jan 11 2016 daviddavid <daviddavid> 0.10-1.mga6
+ Revision: 921563
- imported package festival-freebsoft-utils

